org.apache.cassandra.repair

## Class RepairSessionResult

- java.lang.Object
- - org.apache.cassandra.repair.RepairSessionResult

-     public class RepairSessionResult
      extends java.lang.Object

  Repair session result

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `keyspace`
    `java.util.Collection<Range<Token>>` | `ranges`
    `java.util.Collection<RepairResult>` | `repairJobResults`
    `java.util.UUID` | `sessionId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairSessionResult(java.util.UUID sessionId, java.lang.String keyspace, java.util.Collection<Range<Token>> ranges, java.util.Collection<RepairResult> repairJobResults)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionId

          public final java.util.UUID sessionId

    - #### keyspace

          public final java.lang.String keyspace

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

    - #### repairJobResults

          public final java.util.Collection<RepairResult> repairJobResults

  - ### Constructor Detail

    - #### RepairSessionResult

          public RepairSessionResult(java.util.UUID sessionId,
                                     java.lang.String keyspace,
                                     java.util.Collection<Range<Token>> ranges,
                                     java.util.Collection<RepairResult> repairJobResults)

Copyright © 2018 The Apache Software Foundation